
Redmine - Defect #20564

Issue status field is blank, and can't be edited in "Issue update" form

2015-08-19 10:12 - Leonid Titov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.6

Description

When I try to update or file new issue using the we, the "Status" field is empty and can't be edited.

Please refer to attached screenshot.

At the same time I can successfully edit issue status via issue list (any report, for instance - "My issues").

I have found this issue after upgrade from 2.3 to 2.6.6.stable.14512

Here are details about my Redmine installation:

Redmine 2.6.6.stable.14512

Default administrator account changed     True

Attachments directory writable     True

Plugin assets directory writable (./public/plugin_assets)     True

RMagick available (optional)     True

ImageMagick convert available (optional)     True

Environment:

Redmine version                2.6.6.stable.14512

Ruby version                   2.0.0-p643 (2015-02-25) [x86_64-linux]

Rails version                  3.2.22

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.8

Git                            1.9.1

Filesystem

Redmine plugins:

mail_references                0.0.1

openid_fix                     0.1.0

redmine_change_issue_author    0.0.1

redmine_omniauth_google        0.0.1

redmine_tagging                0.1.2

Here are fragment from my production.log after trying to update issue using "Update issue web-form":

2015-08-19 11:11:54 +0300 (14949) Started PUT "/projects/import/issues/update_form.js?id=3561" for fdfs at 2015-08-19 11:11:54

+0300

2015-08-19 11:11:54 +0300 (14949) Processing by IssuesController#update_form as JS

2015-08-19 11:11:54 +0300 (14949)   Parameters: {"utf8"=>"✓", "authenticity_token"=>"dfsfs", "issue"=>{"is_private"=>"0",

"project_id"=>"42", "tracker_id"=>"1", "subject"=>"fdsfsfs", "description"=>"fsdfsd", "author_id"=>"3", "status_id"=>"2",

"priority_id"=>"4", "assigned_to_id"=>"", "parent_issue_id"=>"", "start_date"=>"", "due_date"=>"", "estimated_hours"=>"",

"done_ratio"=>"0", "custom_field_values"=>{"1"=>"", "2"=>"", "3"=>""}, "tags"=>"", "notes"=>"", "private_notes"=>"0",

"lock_version"=>"1"}, "time_entry"=>{"hours"=>"", "activity_id"=>"", "comments"=>""}, "last_journal_id"=>"6010", "id"=>"3561",

"project_id"=>"import"}

2015-08-19 11:11:54 +0300 (14949) Settings cache cleared.

2015-08-19 11:11:54 +0300 (14949)   Current user: leon_ti (id=3)

2015-08-19 11:11:54 +0300 (14949)   Rendered issues/_form_custom_fields.html.erb (1.5ms)

2015-08-19 11:11:54 +0300 (14949)   Rendered issues/_attributes.html.erb (69.7ms)

2015-08-19 11:11:54 +0300 (14949)   Rendered plugins/redmine_change_issue_author/app/views/issues/_attributes.html.erb

(78.9ms)

2015-08-19 11:11:54 +0300 (14949)   Rendered plugins/redmine_tagging/app/views/tagging/_issue_tagcloud.erb (25.0ms)

2015-08-19 11:11:54 +0300 (14949)   Rendered issues/_form.html.erb (124.3ms)

2015-08-19 11:11:54 +0300 (14949)   Rendered issues/update_form.js.erb (128.8ms)

2015-08-19 11:11:54 +0300 (14949) Completed 200 OK in 214.9ms (Views: 130.4ms | ActiveRecord: 15.4ms)

2025-08-23 1/2



History

#1 - 2015-08-19 11:28 - Leonid Titov

- Status changed from New to Resolved

I've found it was a kind of plugin incomatibility issue.

I should upgrade my plugins together with Redmine.

#2 - 2015-09-09 12:53 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Files
